# TransportEvent

Represents a duration of the time when the user was in transport.

## TransportEvent API

{% hint style="info" %}
This class extends [Event](/important-topics/sdk/api-reference/android/eventtimeline/event.md). See [Event](/important-topics/sdk/api-reference/android/eventtimeline/event.md) for additional properties and methods.
{% endhint %}

### getDistanceInMeters`()`

Returns the distance travelled during the transport in meters. If distance cannot be computed then returns null.

```java
@Nullable Integer getDistanceInMeters();
```

### `getOccupantRole()`

Returns the detected user occupant role. See [OccupantRole](/important-topics/sdk/api-reference/android/eventtimeline/occupantrole.md).

```java
OccupantRole getOccupantRole();
```

### `getTransportMode()`

Returns the mode of transportation. See [TransportMode](/important-topics/sdk/api-reference/android/eventtimeline/transportmode.md).

```java
TransportMode getTransportMode();
```

### `getTags()`

Returns the set of tags that you have previously set (if any) for this transport. See [setTransportTags](/important-topics/sdk/api-reference/android/eventtimeline/eventtimelineapi.md#settransporttags).

```java
Map<String, String> getTags();
```

### `getWaypoints()`

Returns the waypoints collected during the transport, as [Waypoint](/important-topics/sdk/api-reference/android/transportevent.md).

```java
List<Waypoint> getWaypoints();
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/eventtimeline/event/transportevent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
